=== modified file 'loggerhead/branchview.py'
--- loggerhead/branchview.py	2007-09-04 04:36:24 +0000
+++ loggerhead/branchview.py	2008-02-27 03:36:09 +0000
@@ -53,12 +53,12 @@
         self._config = config
         self._project_config = project_config
         self.log = logging.getLogger('loggerhead.%s' % (name,))
-        
+
         # branch history
         self._history_lock = threading.RLock()
         self._history = None
         self._closed = False
-        
+
         self.changes = ChangeLogUI(self)
         self.revision = RevisionUI(self)
         self.files = InventoryUI(self)
@@ -66,12 +66,12 @@
         self.download = DownloadUI(self)
         self.atom = AtomUI(self)
         self.bundle = BundleUI(self)
-        
+
         # force history object to be loaded:
         self.get_history()
-        
+
         turbogears.startup.call_on_shutdown.append(self.close)
-    
+
     @with_history_lock
     def close(self):
         # it's important that we cleanly detach the history, so the cache
@@ -80,13 +80,13 @@
         self._history.detach()
         self._history = None
         self._closed = True
-            
+
     config = property(lambda self: self._config)
-    
+
     name = property(lambda self: self._name)
 
     group_name = property(lambda self: self._group_name)
-    
+
     def _get_friendly_name(self):
         name = self._config.get('branch_name', None)
         if name is not None:
@@ -106,9 +106,9 @@
         # try branch-specific config?
         description = self.get_history().get_config().get_user_option('description')
         return description
-        
+
     description = property(_get_description)
-    
+
     def _get_branch_url(self):
         url = self._config.get('url', None)
         if url is not None:
@@ -120,9 +120,9 @@
         # try branch-specific config?
         url = self.get_history().get_config().get_user_option('public_branch')
         return url
-        
+
     branch_url = property(_get_branch_url)
-    
+
     @turbogears.expose()
     def index(self):
         raise HTTPRedirect(self.url('/changes'))
@@ -152,12 +152,12 @@
                 _history.use_file_cache(FileChangeCache(_history, cache_path))
                 _history.use_search_index(TextIndex(_history, cache_path))
         return self._history
-    
+
     def check_rebuild(self):
         h = self.get_history()
         if h is not None:
             h.check_rebuild()
-    
+
     def url(self, elements, **kw):
         "build an url relative to this branch"
         if not isinstance(elements, list):
@@ -170,7 +170,7 @@
     def context_url(self, elements, **kw):
         "build an url relative to this branch, bringing along browsing context"
         return self.url(elements, **util.get_context(**kw))
-    
+
     def last_updated(self):
         h = self.get_history()
         change = h.get_changes([ h.last_revid ])[0]

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2008-02-27 03:35:24 +0000
+++ loggerhead/changecache.py	2008-02-27 03:36:09 +0000
@@ -104,7 +104,7 @@
     def __init__(self, history, cache_path):
         self.history = history
         self.log = history.log
-        
+
         if not os.path.exists(cache_path):
             os.mkdir(cache_path)
 
@@ -127,7 +127,7 @@
     def close(self):
         self.log.debug('Closing cache file.')
         self._closed = True
-    
+
     @with_lock
     def closed(self):
         return self._closed
@@ -135,7 +135,7 @@
     @with_lock
     def flush(self):
         pass
-    
+
     @with_lock
     def get_changes(self, revid_list):
         """
@@ -188,7 +188,7 @@
         """
         if self.closed() or self.full():
             return
-        
+
         self.log.info('Building revision cache...')
         start_time = time.time()
         last_update = time.time()

=== modified file 'loggerhead/daemon.py'
--- loggerhead/daemon.py	2008-02-27 03:35:24 +0000
+++ loggerhead/daemon.py	2008-02-27 03:36:09 +0000
@@ -19,41 +19,41 @@
     except OSError, e:
         raise Exception("%s [%d]" % (e.strerror, e.errno))
 
-    if (pid == 0):	# The first child.
+    if (pid == 0):      # The first child.
         os.setsid()
 
         try:
-            pid = os.fork()	# Fork a second child.
+            pid = os.fork()     # Fork a second child.
         except OSError, e:
             raise Exception, "%s [%d]" % (e.strerror, e.errno)
 
-        if (pid == 0):	# The second child.
+        if (pid == 0):  # The second child.
             os.chdir(WORKDIR)
             os.umask(UMASK)
         else:
-            os._exit(0)	# Exit parent (the first child) of the second child.
+            os._exit(0) # Exit parent (the first child) of the second child.
     else:
-        os._exit(0)	# Exit parent of the first child.
+        os._exit(0)     # Exit parent of the first child.
 
-    #import resource		# Resource usage information.
+    #import resource            # Resource usage information.
     #maxfd = resource.getrlimit(resource.RLIMIT_NOFILE)[1]
     #if (maxfd == resource.RLIM_INFINITY):
     #    maxfd = MAXFD
-  
+
     # Iterate through and close all file descriptors.
     #for fd in range(3, maxfd):
     #    try:
     #        os.close(fd)
-    #    except OSError:	# ERROR, fd wasn't open to begin with (ignored)
+    #    except OSError:        # ERROR, fd wasn't open to begin with (ignored)
     #        pass
 
     # This call to open is guaranteed to return the lowest file descriptor,
     # which will be 0 (stdin), since it was closed above.
-    #os.open(REDIRECT_TO, os.O_RDWR)	# standard input (0)
+    #os.open(REDIRECT_TO, os.O_RDWR)    # standard input (0)
 
     # Duplicate standard input to standard output and standard error.
-    #os.dup2(0, 1)			# standard output (1)
-    #os.dup2(0, 2)			# standard error (2)
+    #os.dup2(0, 1)                      # standard output (1)
+    #os.dup2(0, 2)                      # standard error (2)
 
     f = open(pidfile, 'w')
     f.write('%d\n' % (os.getpid(),))

=== modified file 'loggerhead/history.py'
--- loggerhead/history.py	2008-02-27 03:35:24 +0000
+++ loggerhead/history.py	2008-02-27 03:36:09 +0000
@@ -465,7 +465,7 @@
         use the URL parameters (revid, start_revid, file_id, and query) to
         determine the revision list we're viewing (start_revid, file_id, query)
         and where we are in it (revid).
-        
+
             - if a query is given, we're viewing query results.
             - if a file_id is given, we're viewing revisions for a specific
               file.
@@ -474,9 +474,9 @@
 
         these may be combined to view revisions for a specific file, from
         a specific revision, with a specific search query.
-            
+
         returns a new (revid, start_revid, revid_list) where:
-        
+
             - revid: current position within the view
             - start_revid: starting revision of this view
             - revid_list: list of revision ids for this view
@@ -663,7 +663,7 @@
 
     def _get_deltas_for_revisions_with_trees(self, revisions):
         """Produce a list of revision deltas.
-        
+
         Note that the input is a sequence of REVISIONS, not revision_ids.
         Trees will be held in memory until the generator exits.
         Each delta is relative to the revision's lefthand predecessor.
@@ -989,4 +989,3 @@
         s = StringIO()
         bzrlib.bundle.serializer.write_bundle(self._branch.repository, revid, compare_revid, s)
         return s.getvalue()
-

=== modified file 'loggerhead/lockfile.py'
--- loggerhead/lockfile.py	2007-01-14 01:20:39 +0000
+++ loggerhead/lockfile.py	2008-02-27 03:36:09 +0000
@@ -35,7 +35,7 @@
     lock may be acquired multiple times by the same thread, as long as it's
     released an equal number of times.  unlike threading.Lock, this lock can
     be used across processes.
-    
+
     this uses os.open(O_CREAT|O_EXCL), which apparently works even on windows,
     but will not work over NFS, if anyone still uses that.  so don't put the
     cache folder on an NFS server...
@@ -50,7 +50,7 @@
             # remove stale locks left over from a previous run
             if time.time() - os.stat(filename).st_mtime > MAX_STALE_TIME:
                 os.remove(filename)
-    
+
     @with_lock
     def _try_acquire(self):
         if self._count > 0:
@@ -63,7 +63,7 @@
             return True
         except OSError:
             return False
-    
+
     def acquire(self):
         # try over and over, sleeping on exponential backoff with an upper limit of about 5 seconds
         pause = 0.1

=== modified file 'loggerhead/lsprof.py'
--- loggerhead/lsprof.py	2006-12-15 01:14:05 +0000
+++ loggerhead/lsprof.py	2008-02-27 03:36:09 +0000
@@ -36,7 +36,7 @@
         for pp in _g_threadmap.values():
             pp.disable()
         threading.setprofile(None)
-    
+
     threads = {}
     for tid, pp in _g_threadmap.items():
         threads[tid] = Stats(pp.getstats(), {})
@@ -112,7 +112,7 @@
         self.out_file = None
 
     def output(self, out_file):
-        self.out_file = out_file        
+        self.out_file = out_file
         print >> out_file, 'events: Ticks'
         self._print_summary()
         for entry in self.data:

=== modified file 'loggerhead/textindex.py'
--- loggerhead/textindex.py	2008-02-27 03:35:24 +0000
+++ loggerhead/textindex.py	2008-02-27 03:36:09 +0000
@@ -62,17 +62,17 @@
     def __init__(self, history, cache_path):
         self.history = history
         self.log = history.log
-        
+
         if not os.path.exists(cache_path):
             os.mkdir(cache_path)
-        
+
         self._recorded_filename = os.path.join(cache_path, 'textindex-recorded.sql')
         self._index_filename = os.path.join(cache_path, 'textindex.sql')
-        
+
         # use a lockfile since the cache folder could be shared across different processes.
         self._lock = LockFile(os.path.join(cache_path, 'index-lock'))
         self._closed = False
-        
+
         self.log.info('Using search index; %d entries.', len(self))
 
     def _index(self):
@@ -80,10 +80,10 @@
 
     def _recorded(self):
         return FakeShelf(self._recorded_filename)
-    
+
     def _is_indexed(self, revid, recorded):
         return recorded.get(util.to_utf8(revid)) is not None
-        
+
     @with_lock
     def is_indexed(self, revid):
         recorded = self._recorded()
@@ -91,7 +91,7 @@
             return self._is_indexed(revid, recorded)
         finally:
             recorded.close()
-    
+
     @with_lock
     def __len__(self):
         recorded = self._recorded()
@@ -103,15 +103,15 @@
     @with_lock
     def close(self):
         self._closed = True
-    
+
     @with_lock
     def closed(self):
         return self._closed
-    
+
     @with_lock
     def flush(self):
         pass
-    
+
     @with_lock
     def full(self):
         recorded = self._recorded()
@@ -159,7 +159,7 @@
         finally:
             index.close(commit=True)
             recorded.close(commit=True)
-    
+
     @with_lock
     def find(self, text, revid_list=None):
         index = self._index()
@@ -167,12 +167,12 @@
             text = normalize_string(text)
             if len(text) < 3:
                 return []
-    
+
             total_set = None
             if revid_list is not None:
                 total_set = set(revid_list)
             seen_all = False
-            
+
             for i in xrange(len(text) - 2):
                 sub = text[i:i + 3]
                 revid_set = index.get(sub)
@@ -191,7 +191,7 @@
                     return []
         finally:
             index.close()
-        
+
         # tricky: if seen_all is True, one of the substring indices was ALL
         # (in other words, unindexed), so our results are actually a superset
         # of the exact answer.
@@ -201,7 +201,7 @@
         # we DON'T care, and if one of the substrings hit ALL, there's a small
         # chance that we'll give a few false positives.
         return total_set
-    
+
     def check_rebuild(self, max_time=3600):
         """
         check if there are any un-indexed revisions, and if so, index them.
@@ -238,4 +238,3 @@
             time.sleep(1)
         self.log.info('Search index completed.')
         self.flush()
-

=== modified file 'loggerhead/util.py'
--- loggerhead/util.py	2008-02-27 03:35:24 +0000
+++ loggerhead/util.py	2008-02-27 03:36:09 +0000
@@ -105,7 +105,7 @@
                 setattr(self, key, value)
         for key, value in kw.iteritems():
             setattr(self, key, value)
-    
+
     def __repr__(self):
         out = '{ '
         for key, value in self.__dict__.iteritems():
@@ -160,7 +160,7 @@
         return '%s at %s' % (username, domains[-2])
     return '%s at %s' % (username, domains[0])
 
-    
+
 def triple_factors(min_value=1):
     factors = (1, 3)
     index = 0
@@ -178,10 +178,10 @@
     """
     given a position in a maximum range, return a list of negative and positive
     jump factors for an hgweb-style triple-factor geometric scan.
-    
+
     for example, with pos=20 and max=500, the range would be:
     [ -10, -3, -1, 1, 3, 10, 30, 100, 300 ]
-    
+
     i admit this is a very strange way of jumping through revisions.  i didn't
     invent it. :)
     """
@@ -289,7 +289,7 @@
         divisor = MEG
     else:
         divisor = KILO
-    
+
     dot = size % divisor
     base = size - dot
     dot = dot * 10 // divisor
@@ -297,7 +297,7 @@
     if dot >= 10:
         base += 1
         dot -= 10
-    
+
     out = str(base)
     if (base < 100) and (dot != 0):
         out += '.%d' % (dot,)
@@ -308,7 +308,7 @@
     elif divisor == GIG:
         out += 'G'
     return out
-    
+
 
 def fill_in_navigation(navigation):
     """
@@ -322,21 +322,21 @@
     navigation.count = len(navigation.revid_list)
     navigation.page_position = navigation.position // navigation.pagesize + 1
     navigation.page_count = (len(navigation.revid_list) + (navigation.pagesize - 1)) // navigation.pagesize
-    
+
     def get_offset(offset):
         if (navigation.position + offset < 0) or (navigation.position + offset > navigation.count - 1):
             return None
         return navigation.revid_list[navigation.position + offset]
-    
+
     navigation.prev_page_revid = get_offset(-1 * navigation.pagesize)
     navigation.next_page_revid = get_offset(1 * navigation.pagesize)
-    
+
     params = { 'file_id': navigation.file_id }
     if getattr(navigation, 'query', None) is not None:
         params['q'] = navigation.query
     else:
         params['start_revid'] = navigation.start_revid
-        
+
     if navigation.prev_page_revid:
         navigation.prev_page_url = navigation.branch.url([ navigation.scan_url, navigation.prev_page_revid ], **get_context(**params))
     if navigation.next_page_revid:
@@ -449,7 +449,7 @@
     """
     return a context map that may be overriden by specific values passed in,
     but only contains keys from the list of valid context keys.
-    
+
     if 'clear' is set, only the 'remember' context value will be added, and
     all other context will be omitted.
     """

